import {Injectable} from '@angular/core';
import {OmpClass} from 'src/app/dao/omp-class';
import {HttpClient, HttpHeaders} from '@angular/common/http';
import {HttpErrorService} from 'src/app/ErrorComponents/http-error.service';

const httpOptions = {
  headers: new HttpHeaders({
    'Content-Type':  'application/json'
  })
};

@Injectable()
export class StudentInfoService {

  constructor(private http: HttpClient, private errorService: HttpErrorService) {
  }

  public getUserClasses(id: String): OmpClass[] {
    this.http.post('http://localhost:8080/getClassList', {id: id}, httpOptions).subscribe(res => {

    });
    return null;
  }
}
